/**
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -
 - JASS: Java Advanced tranSaction Support
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -
 - This module was originally developed by 
 -
 -    LSD (Distributed Systems Lab, http://lsd.ls.fi.upm.es/lsd/lsd.htm)
 -    at Universidad Politecnica de Madrid (UPM) as an ObjectWeb Consortium
 -    (http://www.objectweb.org) project.
 -
 -    This project has been partially funded by the European Commission under
 -    the IST programme of V FP grant IST-2001-37126 and by the Spanish
 -    Ministry of Science & Technology (MCyT) grants TIC2002-10376-E and
 -    TIC2001-1586-C03-02
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -  The original code and portions created by LSD are 
 -  Copyright (c) 2004 LSD (UPM)  
 -  All rights reserved.
 -  
 - Redistribution and use in source and binary forms, with or without 
 - modification, are permitted provided that the following conditions are met:
 -
 - -Redistributions of source code must retain the above copyright notice, this
 - list of conditions and the following disclaimer. 
 -
 - -Redistributions in binary form must reproduce the above copyright notice, 
 - this list of conditions and the following disclaimer in the documentation 
 - and/or other materials provided with the distribution. 
 -
 - THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 - AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 - IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
 - ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
 - LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 - CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 - SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 - INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 - CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 - ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 - POSSIBILITY OF SUCH DAMAGE.
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -
 -  Author: Francisco Perez Sorrosal (frperezs)
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
*/

package org.objectweb.jass.examples.travelagency.ws;

public class TravelAgencySoapBindingSkeleton implements org.objectweb.jass.examples.travelagency.ws.TravelAgency, org.apache.axis.wsdl.Skeleton {
    private org.objectweb.jass.examples.travelagency.ws.TravelAgency impl;
    private static java.util.Map _myOperations = new java.util.Hashtable();
    private static java.util.Collection _myOperationsList = new java.util.ArrayList();

    /**
    * Returns List of OperationDesc objects with this name
    */
    public static java.util.List getOperationDescByName(java.lang.String methodName) {
        return (java.util.List)_myOperations.get(methodName);
    }

    /**
    * Returns Collection of OperationDescs
    */
    public static java.util.Collection getOperationDescs() {
        return _myOperationsList;
    }

    static {
        org.apache.axis.description.OperationDesc _oper;
        org.apache.axis.description.FaultDesc _fault;
        org.apache.axis.description.ParameterDesc [] _params;
        _params = new org.apache.axis.description.ParameterDesc [] {
            new org.apache.axis.description.ParameterDesc(new javax.xml.namespace.QName("", "in0"), org.apache.axis.description.ParameterDesc.IN, new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema", "int"), int.class, false, false), 
        };
        _oper = new org.apache.axis.description.OperationDesc("reserveSeats", _params, new javax.xml.namespace.QName("", "reserveSeatsReturn"));
        _oper.setReturnType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema", "int"));
        _oper.setElementQName(new javax.xml.namespace.QName("http://ws.travelagency.examples.jass.objectweb.org", "reserveSeats"));
        _oper.setSoapAction("");
        _myOperationsList.add(_oper);
        if (_myOperations.get("reserveSeats") == null) {
            _myOperations.put("reserveSeats", new java.util.ArrayList());
        }
        ((java.util.List)_myOperations.get("reserveSeats")).add(_oper);
        _fault = new org.apache.axis.description.FaultDesc();
        _fault.setName("NotEnoughSeatsException");
        _fault.setQName(new javax.xml.namespace.QName("http://ws.travelagency.examples.jass.objectweb.org", "fault"));
        _fault.setClassName("org.objectweb.jass.examples.travelagency.ws.NotEnoughSeatsException");
        _fault.setXmlType(new javax.xml.namespace.QName("http://exceptions.travelagency.examples.jass.objectweb.org", "NotEnoughSeatsException"));
        _oper.addFault(_fault);
        _fault = new org.apache.axis.description.FaultDesc();
        _fault.setName("DBException");
        _fault.setQName(new javax.xml.namespace.QName("http://ws.travelagency.examples.jass.objectweb.org", "fault"));
        _fault.setClassName("org.objectweb.jass.examples.travelagency.ws.DBException");
        _fault.setXmlType(new javax.xml.namespace.QName("http://exceptions.travelagency.examples.jass.objectweb.org", "DBException"));
        _oper.addFault(_fault);
        _params = new org.apache.axis.description.ParameterDesc [] {
            new org.apache.axis.description.ParameterDesc(new javax.xml.namespace.QName("", "in0"), org.apache.axis.description.ParameterDesc.IN, new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema", "int"), int.class, false, false), 
        };
        _oper = new org.apache.axis.description.OperationDesc("reserveRooms", _params, new javax.xml.namespace.QName("", "reserveRoomsReturn"));
        _oper.setReturnType(new javax.xml.namespace.QName("http://www.w3.org/2001/XMLSchema", "int"));
        _oper.setElementQName(new javax.xml.namespace.QName("http://ws.travelagency.examples.jass.objectweb.org", "reserveRooms"));
        _oper.setSoapAction("");
        _myOperationsList.add(_oper);
        if (_myOperations.get("reserveRooms") == null) {
            _myOperations.put("reserveRooms", new java.util.ArrayList());
        }
        ((java.util.List)_myOperations.get("reserveRooms")).add(_oper);
        _fault = new org.apache.axis.description.FaultDesc();
        _fault.setName("DBException");
        _fault.setQName(new javax.xml.namespace.QName("http://ws.travelagency.examples.jass.objectweb.org", "fault"));
        _fault.setClassName("org.objectweb.jass.examples.travelagency.ws.DBException");
        _fault.setXmlType(new javax.xml.namespace.QName("http://exceptions.travelagency.examples.jass.objectweb.org", "DBException"));
        _oper.addFault(_fault);
        _fault = new org.apache.axis.description.FaultDesc();
        _fault.setName("NotEnoughRoomsException");
        _fault.setQName(new javax.xml.namespace.QName("http://ws.travelagency.examples.jass.objectweb.org", "fault"));
        _fault.setClassName("org.objectweb.jass.examples.travelagency.ws.NotEnoughRoomsException");
        _fault.setXmlType(new javax.xml.namespace.QName("http://exceptions.travelagency.examples.jass.objectweb.org", "NotEnoughRoomsException"));
        _oper.addFault(_fault);
    }

    public TravelAgencySoapBindingSkeleton() {
        this.impl = new org.objectweb.jass.examples.travelagency.ws.TravelAgencySoapBindingImpl();
    }

    public TravelAgencySoapBindingSkeleton(org.objectweb.jass.examples.travelagency.ws.TravelAgency impl) {
        this.impl = impl;
    }
    public int reserveSeats(int in0) throws java.rmi.RemoteException, org.objectweb.jass.examples.travelagency.ws.NotEnoughSeatsException, org.objectweb.jass.examples.travelagency.ws.DBException
    {
        int ret = impl.reserveSeats(in0);
        return ret;
    }

    public int reserveRooms(int in0) throws java.rmi.RemoteException, org.objectweb.jass.examples.travelagency.ws.DBException, org.objectweb.jass.examples.travelagency.ws.NotEnoughRoomsException
    {
        int ret = impl.reserveRooms(in0);
        return ret;
    }

}
